Get an official
GET/v1/officials/{officialId}
GET
/v1/officials/{officialId}
const url = 'https://api.ligr.live/rest/v1/officials/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v1/officials/1 \ --header 'Authorization: Bearer <token>'Return the match official with the given ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”officialId
required
Entity identifier
integer format: int32
The official id
Responses
Section titled “Responses”Ok
Media typeapplication/json
A match official, such as a referee or an umpire.
object
id
required
Entity identifier
integer format: int32
firstName
required
Default Player first name
string
lastName
required
Default Player first name
string
gender
string
countryCode
string
dataProvider
object
name
required
string
id
required
string
Example
{ "countryCode": "AUS", "dataProvider": { "name": "RB" }}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Official not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}